%global npm_name sprintf-js

%global enable_tests 0

Summary:       JavaScript sprintf implementation
Name:          nodejs-%{npm_name}
Version:       1.0.3
Release:       1%{?dist}
License:       BSD
URL:           https://github.com/alexei/sprintf.js
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
sprintf.js is a complete open source JavaScript sprintf 
implementation for the browser and node.js.


%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr dist gruntfile.js package.json src %{buildroot}%{nodejs_sitelib}/%{npm_name}

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha test/test.js
%endif

%files
%doc demo README.md
%license LICENSE
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Nov 16 2015 Troy Dawson <tdawson@redhat.com> - 1.2.13-1
- Initial package
